{% extends 'partials/base.html.twig' %}

{% set show_onpage_menu = header.onpage_menu == true or header.onpage_menu is null %}
{% set onepage = header.onepage == true %}

{% block javascripts %}
    {% if show_onpage_menu %}
        {% do assets.add('theme://js/singlepagenav.min.js') %}
    {% endif %}
    {{ parent() }}
{% endblock %}

{% block bottom %}
    {{ parent() }}
    {% if show_onpage_menu %}
        <script>
        // singlePageNav initialization & configuration
        $('ul.navigation').singlePageNav({
            offset: $('#header').outerHeight(),
            filter: ':not(.external)',
            updateHash: true,
            currentClass: 'active'
        });
        </script>
    {% endif %}
{% endblock %}

{% block header_navigation %}
    {% if show_onpage_menu %}
        <ul class="navigation">
        {% for module in page.collection() if module.header.visible is not same as(false) and module.header.hidemenu is not same as(true) %}
            {% set current_module = (module.active or module.activeChild) ? 'active' : '' %}
            <li><a class="{{ current_module }}" href="#{{ module.menu|hyphenize }}">{{ module.menu }}</a></li>
        {% endfor %}
        {% for mitem in site.menu %}
            <li>
                <a {% if mitem.class %}class="{{ mitem.class }}"{% endif %} href="{{ mitem.url }}">
                    {% if mitem.icon %}<i class="fa fa-{{ mitem.icon }}"></i>{% endif %}
                    {{ mitem.text }}
                </a>
            </li>
        {% endfor %}
        </ul>
    {% else %}
        {{  parent() }}
    {% endif %}
{% endblock %}

{% block hero %}
    {% for module in page.collection() if module.template == 'modular/hero' %}
        <div id="{{ module.menu|hyphenize }}"></div>
        {{ module.content|raw }}
    {% endfor %}
{% endblock %}

{% block body %}
    {% for module in page.collection() if module.template != 'modular/hero' %}
        <div id="{{ module.menu|hyphenize }}"></div>
        {{ module.content|raw }}
    {% endfor %}
{% endblock %}

{% block mobile %}
    {% for module in page.children.visible %}
        {{ dump(module) }}
    {% endfor %}
    {% if onepage %}
        <div class="mobile-container">
            <div class="overlay" id="overlay">
                <div class="mobile-logo">
                    {% include 'partials/logo.html.twig' with {mobile: true} %}
                </div>
                <nav class="overlay-menu">
                    {% import 'macros/macros.html.twig' as macros %}

                    <ul class="tree">
                        {{ macros.onepage_nav_loop(page) }}
                    </ul>
                </nav>
            </div>
        </div>
    {% else %}
        {{ parent() }}
    {% endif %}
{% endblock %}
